
<!doctype html>
<html lang="en">
	<head>
		<!-- Required meta tags -->
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
		<meta property="og:title" content="<?php echo $page_title; ?>" />
		<meta property="og:image" content="<?php echo $author["profile_picture"]; ?>" />
		<meta property="og:url" content="<?php echo URL; ?>/quiz-result.php?id=<?php echo $_GET["id"]; ?>" />
		<meta property="og:type" content="website" />
		<meta property="fb:app_id" content="<?php echo FB_APP_ID; ?>" />
		<meta property="og:description" content="Are you a real friend of <?php echo $author["fullname"]; ?>? Discover that now by taking this quiz!" />
		
		<link href="https://fonts.googleapis.com/css?family=Baloo+Bhai" rel="stylesheet">
		
		<!-- Bootstrap CSS -->
		<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
		<link rel="stylesheet" href="<?php echo URL; ?>/css/emoji.css">
		<link rel="stylesheet" href="<?php echo URL; ?>/css/switch.css">
		<link rel="stylesheet" type="text/css" href="<?php echo URL; ?>/css/jssocials.css" />
		<link rel="stylesheet" type="text/css" href="<?php echo URL; ?>/css/jssocials-theme-flat.css" />
		<link rel="stylesheet" href="<?php echo URL; ?>/css/jquery.toast.min.css">
		<link rel="stylesheet" href="<?php echo URL; ?>/css/checkboxes.css?v=<?php echo mt_rand(0,9999); ?>">
		<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.2.0/css/all.css" integrity="sha384-hWVjflwFxL6sNzntih27bfxkr27PmbbK/iSvJ+a4+0owXq79v+lsFkW54bOGbiDQ" crossorigin="anonymous">

		<link rel="stylesheet" href="<?php echo URL; ?>/css/custom.css?v=<?php echo mt_rand(0,9999); ?>">
		
		<title>Take the Quiz about <?php echo $author["fullname"]; ?></title>
		
		<!-- Facebook Pixel Code -->
		<script>
		  !function(f,b,e,v,n,t,s)
		  {if(f.fbq)return;n=f.fbq=function(){n.callMethod?
		  n.callMethod.apply(n,arguments):n.queue.push(arguments)};
		  if(!f._fbq)f._fbq=n;n.push=n;n.loaded=!0;n.version='2.0';
		  n.queue=[];t=b.createElement(e);t.async=!0;
		  t.src=v;s=b.getElementsByTagName(e)[0];
		  s.parentNode.insertBefore(t,s)}(window, document,'script',
		  'https://connect.facebook.net/en_US/fbevents.js');
		  fbq('init', '<?php echo FB_APP_ID; ?>');
		  fbq('track', 'PageView');
		</script>
		<noscript><img height="1" width="1" style="display:none"
		  src="https://www.facebook.com/tr?id=<?php echo FB_APP_ID; ?>&ev=PageView&noscript=1"
		/></noscript>
		<!-- End Facebook Pixel Code -->
	</head>
	<body>
		
		<?php
		if(TEST_MODE) {
		?>
		<div class="topbar">
			<b>DEMO MODE / READ ONLY</b> : for preserving a good demo version, the quiz you will create or the changes won't be saved.<br>
			<a href="https://testmyfriends.crea.io/quiz.php?id=b9a5c4c996beeecb0e6f4027714672b8" class="btn btn-dark btn-sm">See Quiz Demo</a>
			<a href="https://testmyfriends.crea.io/quiz-result.php?id=a764a07c13a61b1fc1d97b9c4ed7b064" class="btn btn-dark btn-sm">See Result Demo</a>
		</div>
		<?php
		}	
		?>
		
		<header <?php if(TEST_MODE) { ?>class="demo_mode"<?php } ?>>
			<div class="site_title">
				<a href="index.php"><?php echo $website_name; ?></a>
			</div>
			<div class="site_tagline"> 
				<?php echo $website_tagline; ?>
			</div>
		</header>
		
		
		<div class="container">
			
			<div class="col-md-8 offset-md-2">